## com.vividsolutions.jts.simplify
Class DouglasPeuckerLineSimplifier

    java.lang.Object
      com.vividsolutions.jts.simplify.DouglasPeuckerLineSimplifier

public class DouglasPeuckerLineSimplifier
extends java.lang.Object

Simplifies a linestring (sequence of points) using the standard Douglas-Peucker algorithm.

Version:
  1.7

Constructor Summary
`DouglasPeuckerLineSimplifier(Coordinate[] pts)`

Method Summary
`void` `setDistanceTolerance(double distanceTolerance)` Sets the distance tolerance for the simplification.
`Coordinate[]` `simplify()`
`static Coordinate[]` `simplify(Coordinate[] pts, double distanceTolerance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DouglasPeuckerLineSimplifier

    public DouglasPeuckerLineSimplifier(Coordinate[] pts)

Method Detail

### simplify

    public static Coordinate[] simplify(Coordinate[] pts,
                                        double distanceTolerance)

### setDistanceTolerance

    public void setDistanceTolerance(double distanceTolerance)

  Sets the distance tolerance for the simplification. All vertices in the simplified linestring will be within this distance of the original linestring.

  Parameters:
    `distanceTolerance` - the approximation tolerance to use

### simplify

    public Coordinate[] simplify()